//go:build !windows

package nfs

import (
	"git.noahlan.cn/noahlan/ntool/internal/common"
	"path"
)

// Realpath returns the shortest path name equivalent to path by purely lexical processing.
func Realpath(pathStr string) string {
	pathStr = common.ExpandHome(pathStr)

	if !IsAbsPath(pathStr) {
		pathStr = JoinSubPaths(common.Workdir(), pathStr)
	}
	return path.Clean(pathStr)
}
